package eu.mhsl.minenet.minigames.instance.game.stateless.types.tetris;

import eu.mhsl.minenet.minigames.instance.game.Game;
import eu.mhsl.minenet.minigames.instance.game.stateless.config.GameFactory;
import eu.mhsl.minenet.minigames.instance.game.stateless.config.Option;
import eu.mhsl.minenet.minigames.instance.game.stateless.config.ConfigManager;
import eu.mhsl.minenet.minigames.instance.room.Room;
import eu.mhsl.minenet.minigames.message.component.TranslatedComponent;
import net.minestom.server.item.Material;

import java.util.Map;

public class TetrisFactory implements GameFactory {
    @Override
    public TranslatedComponent name() {
        return TranslatedComponent.byId("game_Tetris#name");
    }

    @Override
    public TranslatedComponent description() {
        return TranslatedComponent.byId("game_Tetris#description");
    }

    @Override
    public ConfigManager configuration() {
        return new ConfigManager();
    }

    @Override
    public Game manufacture(Room parent, Map<String, Option<?>> configuration) {
        return new Tetris().setParent(parent);
    }

    @Override
    public Material symbol() {
        return Material.PURPLE_WOOL;
    }
}
